org.apache.poi.hslf.usermodel

## Enum HSLFFontInfoPredefined

- java.lang.Object
- - java.lang.Enum<HSLFFontInfoPredefined>
  - - org.apache.poi.hslf.usermodel.HSLFFontInfoPredefined

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HSLFFontInfoPredefined>, FontInfo

      public enum HSLFFontInfoPredefined
      extends java.lang.Enum<HSLFFontInfoPredefined>
      implements FontInfo

  Predefined fonts
  Since:
    POI 3.17-beta2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARIAL`
    `COURIER_NEW`
    `TIMES_NEW_ROMAN`
    `WINGDINGS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FontCharset` | `getCharset()`
    `FontFamily` | `getFamily()`
    `FontPitch` | `getPitch()`
    `java.lang.String` | `getTypeface()`
    `static HSLFFontInfoPredefined` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HSLFFontInfoPredefined[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.fonts.FontInfo

      `getFacets, getIndex, getPanose, setCharset, setFamily, setIndex, setPanose, setPitch, setTypeface`

- - ### Enum Constant Detail

    - #### ARIAL

          public static final HSLFFontInfoPredefined ARIAL

    - #### TIMES_NEW_ROMAN

          public static final HSLFFontInfoPredefined TIMES_NEW_ROMAN

    - #### COURIER_NEW

          public static final HSLFFontInfoPredefined COURIER_NEW

    - #### WINGDINGS

          public static final HSLFFontInfoPredefined WINGDINGS

  - ### Method Detail

    - #### values

          public static HSLFFontInfoPredefined[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HSLFFontInfoPredefined c : HSLFFontInfoPredefined.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HSLFFontInfoPredefined valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getTypeface

          public java.lang.String getTypeface()

      Specified by:
        `getTypeface` in interface `FontInfo`
      Returns:
        the full name of the font, i.e. font family + type face

    - #### getCharset

          public FontCharset getCharset()

      Specified by:
        `getCharset` in interface `FontInfo`
      Returns:
        the font charset

    - #### getFamily

          public FontFamily getFamily()

      Specified by:
        `getFamily` in interface `FontInfo`
      Returns:
        the family class

    - #### getPitch

          public FontPitch getPitch()

      Specified by:
        `getPitch` in interface `FontInfo`
      Returns:
        the font pitch or `null` if unsupported

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.